Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.server.wadl.generators.resourcedoc.xhtml
Class Elements

    java.lang.Object
      javax.xml.bind.JAXBElement<XhtmlElementType>
          com.sun.jersey.server.wadl.generators.resourcedoc.xhtml.Elements

All Implemented Interfaces:
  java.io.Serializable

    public class Elements

extends javax.xml.bind.JAXBElement<XhtmlElementType>

This class provides a fluent interface to xhtml supporting jaxb bindings.
Created on: Jun 17, 2008

Version:
  $Id$
Author:
  Martin Grotzke
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.xml.bind.JAXBElement
`javax.xml.bind.JAXBElement.GlobalScope`

Field Summary

Fields inherited from class javax.xml.bind.JAXBElement
`declaredType, name, nil, scope, value`

Constructor Summary
`Elements(javax.xml.namespace.QName name, java.lang.Class<XhtmlElementType> clazz, XhtmlElementType element)`

Method Summary
`Elements` | `add(java.lang.Object... childNodes)`
`Elements` | `addChild(java.lang.Object child)`
`static Elements` | `el(java.lang.String elementName)`
`static java.lang.Object` | `val(java.lang.String elementName, java.lang.String value)`

Methods inherited from class javax.xml.bind.JAXBElement
`getDeclaredType, getName, getScope, getValue, isGlobalScope, isNil, isTypeSubstituted, setNil, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Elements

    public Elements(javax.xml.namespace.QName name,
                    java.lang.Class<XhtmlElementType> clazz,
                    XhtmlElementType element)

Method Detail

### el

    public static Elements el(java.lang.String elementName)

### val

    public static java.lang.Object val(java.lang.String elementName,
                                       java.lang.String value)

### add

    public Elements add(java.lang.Object... childNodes)

### addChild

    public Elements addChild(java.lang.Object child)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.